<?php

namespace Planaday\Entities;

class CostsData {
	protected float $cost = 0;
	protected float $course = 0;
	protected int $vat = 0;
	protected int $vatCode = 0;
	protected string $remark = '';

	public function setCost( float $cost ): self {
		$this->cost = $cost;

		return $this;
	}

	public function setCourse( float $course ): self {
		$this->course = $course;

		return $this;
	}

	public function setVat( int $vat ): self {
		$this->vat = $vat;

		return $this;
	}

	public function setVatCode( int $vatCode ): self {
		$this->vatCode = $vatCode;

		return $this;
	}

	public function setRemark( string $remark ): self {
		$this->remark = $remark;

		return $this;
	}
	
	public function getCost(): float {
		return $this->cost;
	}

	public function getCourse(): float {
		return $this->course;
	}

	public function getVat(): int {
		return $this->vat;
	}

	public function getVatCode(): int {
		return $this->vatCode;
	}

	public function getRemark(): string {
		return $this->remark;
	}

	public function getPriceWithTax(): float{
		$tax = $this->cost * ($this->vat/100);

		return $this->cost + $tax;
	}
}